1. Campaigns
Leadfeeder API
  • Leadfeeder API
  • Authentication
  • Getting Started
  • Rate Limits
  • Relationships
  • Company ID Lifecycle
  • OpenAPI Specification Access
  • List of NACE / WZ codes
  • List of Industries
  • AI & MCP (Beta)
    • Overview of the Leadfeeder MCP Server
    • Quickstart
    • Connect your AI tool
    • Authentication and permissions
  • Account
    • List Accounts
  • Companies
    • Get Company Details
    • Create Company Enrichment Job
    • Estimate Company Enrichment Job
    • Retrieve Companies
    • Company Financial Reports
    • Get Company Enrichment Job Status
    • Retrieve Company IPs
    • Match Companies
    • Search Companies
    • Search Company Signals
    • Update a Company
    • Remove Company from Lists
    • Add Company to Lists
    • Unassign Tags from Company
    • Assign Tags to Company
  • Contacts
    • Get Contact Details
    • Create Find Contact Data Job
    • Estimate Find Contact Data Job
    • Retrieve Contacts
    • Get Find Contact Data Job Status
    • Search Contacts
    • Update a Contact
    • Remove Contact from Lists
    • Add Contact to Lists
  • Web Visits
    • How to Create Custom Feed
    • Custom Feed - Filter Reference
    • Search Web Visits
    • Retrieve Custom Feeds
    • Retrieve Visitor Companies
    • Create a Custom Feed
    • Get Custom Feed Details
    • Update Custom Feed
    • Delete a Custom Feed
    • Retrieve Custom Feeds Folders
    • Retrieve Web Visits Tracker Script
  • Campaigns
    • Retrieve Campaigns
      GET
    • Get Campaign Details
      GET
    • Update Campaign
      PATCH
    • Retrieve Campaign Stats
      GET
  • IP
    • Enrich Company IP Address
  • Buyer Personas
    • Retrieve Buyer Personas
    • Create a Buyer Persona
    • Get Buyer Persona Details
    • Update a Buyer Persona
    • Delete a Buyer Persona
  • Ideal Customer Profiles
    • Retrieve Ideal Customer Profiles
    • Create an Ideal Customer Profile
    • Retrieve Company ICP Matches
    • Delete an Ideal Customer Profile
    • Get Ideal Customer Profile Details
    • Update an Ideal Customer Profile
  • Tags
    • Retrieve Tags
    • Create Tag
    • Create Batch Add Tags Job
    • Get Batch Add Tags Job
    • Create Batch Remove Tags Job
    • Delete Tag
    • Get Batch Remove Tags Job
    • Get Tag Details
    • Update Tag
  • Lists
    • Retrieve Lists
    • Create a List
    • Create Batch Add to List Job
    • Get List Details
    • Get Batch Add to List Job
    • Delete List
    • Create Batch Remove from List Job
    • Get Batch Remove from List Job
    • Retrieve Company List Memberships
    • Retrieve Contact List Memberships
    • Update List
    • Retrieve List Items
  • Custom Fields
    • Retrieve Custom Fields
    • Create Custom Field
    • Get Custom Field Details
    • Delete Custom Field
    • Update Custom Field
  • Users
    • Get Current User
  • Usage
    • Get Endpoints Usage
  • Reference Data
    • Get Geo Suggestions
    • Get Countries with Regions
  • Settings
    • Update Cookie Consent Settings
    • Get Data Processing Settings
    • Get Cookie Consent Settings
    • Update Data Processing Settings
  • Schemas
    • AccountCompanyV1
    • AccountSummaryV1
    • AccountV1
    • ApiUsageV1
    • BatchAddTagsJobV1
    • BatchAddToListJobV1
    • BatchRemoveFromListJobV1
    • BatchRemoveTagsJobV1
    • BuyerPersonaRequestV1
    • BuyerPersonaV1
    • CampaignLocationV1
    • CampaignSettingsV1
    • CampaignStatsV1
    • CampaignSummaryV1
    • CampaignV1
    • CompaniesAdvancedSearchFilterItem
    • CompanyFinancialsV1
    • CompanyIpV1
    • CompanyLocationV1
    • CompanyMatchV1
    • CompanySummaryV1
    • CompanyV1
    • ContactFilterGroupsV1
    • ContactSummaryV1
    • ContactV1
    • CookieConsentSettingsV1
    • CountryV1
    • CustomFeedFolderV1
    • CustomFeedRequestV1
    • CustomFeedV1
    • CustomFieldV1
    • DataProcessingSettingsV1
    • CRMUserV1
    • EnrichedIpV1
    • EnrichmentJobV1
    • CRMOrganizationV1
    • ErrorObjectV1
    • CRMContactV1
    • FindContactDataJobV1
    • GeoSuggestionV1
    • ICPV1
    • CRMLeadV1
    • IcpRequestV1
    • CRMConnectionV1
    • IpAddressExtendedV1
    • CRMSuggestionV1
    • IpLocationV1
    • ListV1
    • CRMGroupConnectionV1
    • LocationV1
    • MaskedCompanySummaryV1
    • MaskedContactSummaryV1
    • NetworkV1
    • SignalV1
    • TagV1
    • UserV1
    • VisitLocationV1
    • WebVisitV1
    • WebVisitsTrackerScriptV1
  1. Campaigns

Retrieve Campaigns

GET
/v1/campaigns
Retrieve the list of all campaigns available in the account. Use pagination to control the number of campaigns returned, and include related campaign data, campaign settings, list, or custom feed information when needed.
INFO
Requires the campaigns:read OAuth2 scope.

Request

Authorization
API Key
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
or
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://api.leadfeeder.com/v1/campaigns?account_id=123456&page[num]=1&page[size]=20&include=campaign_summary%2Ccampaign_settings%2Ccampaign_locations%2Clist%2Ccustom_feed' \
--header 'X-Api-Key: <api-key>'

Responses

🟢200OK
application/json
Success
Bodyapplication/json

Example
{
    "data": [
        {
            "attributes": {
                "budget": 25000,
                "budget_left": 20768.45,
                "budget_spent": 4231.55,
                "budget_type": "total",
                "can_be_started": true,
                "created_at": "2026-04-01T09:15:00.000Z",
                "currency": "EUR",
                "end_date": "2026-08-01T00:00:00.000Z",
                "location_type": "country",
                "name": "Q2 EMEA enterprise push",
                "start_date": "2026-05-01T00:00:00.000Z",
                "status": "running",
                "targets_crm_open_opportunities": false,
                "total_budget": 25000,
                "updated_at": "2026-05-10T12:00:00.000Z"
            },
            "id": "1234",
            "relationships": {
                "campaign_locations": [
                    {
                        "id": "98765",
                        "type": "campaign_location"
                    }
                ],
                "campaign_settings": {
                    "id": "1234",
                    "type": "campaign_settings"
                },
                "campaign_summary": {
                    "id": "1234",
                    "type": "campaign_summary"
                },
                "created_by": {
                    "id": "12345",
                    "type": "user"
                },
                "custom_feed": {
                    "id": "feed-100",
                    "type": "custom_feed"
                },
                "list": {
                    "id": "company_42",
                    "type": "list"
                }
            },
            "type": "campaign"
        },
        {
            "attributes": {
                "budget": 200,
                "budget_left": 0,
                "budget_spent": 15400,
                "budget_type": "daily",
                "can_be_started": false,
                "created_at": "2026-01-10T08:00:00.000Z",
                "currency": "EUR",
                "end_date": "2026-03-31T00:00:00.000Z",
                "location_type": "country",
                "name": "Q1 DACH retargeting",
                "start_date": "2026-01-15T00:00:00.000Z",
                "status": "ended",
                "targets_crm_open_opportunities": false,
                "total_budget": 15400,
                "updated_at": "2026-04-01T00:05:00.000Z"
            },
            "id": "1233",
            "relationships": {
                "campaign_locations": [
                    {
                        "id": "11111",
                        "type": "campaign_location"
                    },
                    {
                        "id": "11112",
                        "type": "campaign_location"
                    }
                ],
                "campaign_settings": {
                    "id": "1233",
                    "type": "campaign_settings"
                },
                "campaign_summary": {
                    "id": "1233",
                    "type": "campaign_summary"
                },
                "created_by": {
                    "id": "12345",
                    "type": "user"
                },
                "custom_feed": null,
                "list": {
                    "id": "company_77",
                    "type": "list"
                }
            },
            "type": "campaign"
        }
    ],
    "meta": {
        "pagination": {
            "page_count": 1,
            "page_num": 1,
            "total_count": 2
        },
        "request_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    }
}
🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠429Server Error
🔴500Server Error
🔴504Gateway Timeout
Modified at 2026-09-08 13:18:45
Previous
Retrieve Web Visits Tracker Script
Next
Get Campaign Details
Built with